Export the recipients of an email campaign

Export the recipients of a sent email campaign as an asynchronous process, filtered by recipient type (e.g. openers, clickers, hardBounces). The recipientsType field is required and determines which subset of recipients to export. An optional notifyURL webhook will be called once the export is complete, and the response returns a processId to track the export status.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

campaignIdlongRequired
Id of the campaign

Request

Values to send for a recipient export request
recipientsTypeenumRequired
Type of recipients to export for a campaign
notifyURLstringOptionalformat: "url"
Webhook called once the export process is finished. For reference, https://help.brevo.com/hc/en-us/articles/360007666479

Response

process id created
processIdlong
Id of the process created

Errors

400
Bad Request Error
404
Not Found Error